// QueryLinkStatusFromService.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include <tchar.h>
#include "mxprp.h"
#pragma comment(lib, "user32.lib")

#define BUF_SIZE 256


int _tmain(int argc, _TCHAR* argv[])
{
	 HANDLE hMapFile;
   LPCTSTR pBuf;
   PRP_VALUE prpValue;
   int boardIndex = 0;
   TCHAR szName[MAX_PATH];

   /* Generate file mapping name by board index */
   printf("Enter the board index:");
   scanf("%d", &boardIndex);
   _stprintf(szName, TEXT("Global\\MxPrpFileMapObject%d"), boardIndex);

   /* Open file mapping */
   hMapFile = OpenFileMapping(
                   FILE_MAP_ALL_ACCESS,   // read/write access
                   FALSE,                 // do not inherit the name
                   szName);               // name of mapping object

   if (hMapFile == NULL)
   {
      _tprintf(TEXT("Could not open file mapping object (%d).\n"),
             GetLastError());
      return 1;
   }

   pBuf = (LPTSTR) MapViewOfFile(hMapFile, // handle to map object
               FILE_MAP_ALL_ACCESS,  // read/write permission
               0,
               0,
               BUF_SIZE);

   if (pBuf == NULL)
   {
      _tprintf(TEXT("Could not map view of file (%d).\n"),
             GetLastError());

      CloseHandle(hMapFile);

      return 1;
   }

   while(1)
   {
  		memcpy(&prpValue, pBuf, sizeof(prpValue)); 

		printf("prpValue.linkStatusA = %d\n", prpValue.linkStatusA);
		printf("prpValue.linkStatusB = %d\n", prpValue.linkStatusB);

		Sleep(1000);
   }
  
   /* Unmap the file mapping */
   UnmapViewOfFile(pBuf);

   /* Close the handle */
   CloseHandle(hMapFile);


	return 0;
}

